ISPConfig Install Script

Discussion in 'Tips/Tricks/Mods' started by dclardy, Mar 17, 2011.

  1. trompeteandos

    trompeteandos New Member

    I've little error in /var/log/nginx/error.log similar to this one:
    .
    PHP message: PHP Warning: mysqli::mysqli(): Headers and client library minor version mismatch. Headers:50540 Library:100017 in /usr/local/ispconfig/interface/lib/classes/db_mysql.inc.php on line 61" while reading response header from upstream

    SO: debian 7.8
    ISPConfig 3.0.5.4p5
    Server version: 10.0.17-MariaDB-1~wheezy-log mariadb.org binary distribution
     
  2. till

    till Super Moderator Staff Member ISPConfig Developer

    This happens because you installed a different mysql / mariadb version then the one that php has been compiled with, install the php5-mysqlnd package to get rid of that error.
     
  3. fatorXb2

    fatorXb2 New Member

    Hi dclardy,
    I use your script on all servers I deploy.
    Are you planing to update the script for the Perfect Server on Debian 8 ??
     

Share This Page